# Exhibitor Add On Products Exhibitor Add On Products ## Creates a new exhibitor add on product record that does not already exist. - [POST /exhibitorAddOnProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/createexhibitoraddonproduct.md): This method will auto-generate an ID and create a new exhibitor add on product. If an ID is specified for the exhibitor add on product, an error will be thrown. ## Execute Batch Operations - [POST /exhibitorAddOnProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /exhibitorAddOnProducts/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/listproductsbyeventid.md): Returns a list of records with the specified event_id ## Returns a exhibitor add on product from the system by its ID. - [DELETE /exhibitorAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/deleteexhibitoraddonproduct.md): This method will delete a exhibitor add on product with the specified ID. ## Returns a exhibitor add on product from the system by its ID. - [GET /exhibitorAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/getexhibitoraddonproduct.md): This method will look up a exhibitor add on product by the specified ID and return it back. ## Partially updates a exhibitor add on product with the specified ID. - [PATCH /exhibitorAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/patchexhibitoraddonproduct.md): This method will patch an existing exhibitor add on product with the specified ID, using the HTTP PATCH specification. ## Updates a exhibitor add on product with the specified ID. - [PUT /exhibitorAddOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-add-on-products/updateexhibitoraddonproduct.md): This method will update an existing exhibitor add on product with the specified ID.